プロセスの取得
get
/ic/api/process/v1/spaces/{spaceId}/projects/{projectId}/processes
プロジェクトから使用可能なすべてのプロセスを取得します。
リクエスト
パス・パラメータ
- projectId(required): string
プロジェクトID
- spaceId(required): string
スペースID
レスポンス
サポートされているメディア・タイプ
- application/json
- application/xml;qs=0.9
200レスポンス
成功。 プロセスを取得します。
ネストされたスキーマ : process
型:
objectプロセス・データ
401レスポンス
未認可
500レスポンス
プロセスの取得エラー
例
次の例は、RESTリソースに対してGETリクエストを発行して、すべてのプロセスを取得する方法を示しています。
リクエストの送信
次の例では、送信リクエストのコンテンツを示しています。
https://example.com/ic/api/process/<version>/spaces/<spaceId>/projects/<projectId>/processes
説明
-
example.comは、Oracle Integrationが実行されているホストです。 -
<version>はREST APIバージョンです。
-
<projectId>は、プロジェクトの一意のIDです。 使用可能なプロジェクトを取得するには、「プロジェクトの取得」を参照してください。
レスポンス・ヘッダーの例
Status Code: 200 OK Date: Mon, 03 Apr 2017 09:39:39 GMT Content-Type: application/json
レスポンス本文の例
{
"items": [
{
"id": "MyProcess1",
"name": "MyProcess",
"description": "My process description",
"author": "jsmith",
"entryPoints": [
{
"id": "EVT18969321890787",
"bpmnType": "START_EVENT",
"interfaceElements": {}
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes/MyProcess1",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes/MyProcess1",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project",
"rel": "parent"
}
]
},
{
"id": "MyProcess",
"name": "MyProcess",
"description": "My process description",
"author": "jsmith",
"entryPoints": [
{
"id": "EVT18969244474387",
"bpmnType": "START_EVENT",
"interfaceElements": {}
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes/MyProcess",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes/MyProcess",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project",
"rel": "parent"
}
]
}
],
"links": [
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes",
"rel": "self"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project/processes",
"rel": "canonical"
},
{
"href": "http://example.com:7001/ic/api/process/v1/spaces/46423b0a-a6a1-4748-b677-e8160bf50ce9/projects/old%20project",
"rel": "parent"
}
]
}